



























@HamletDuFromage What happens if you go to the source directory and run make res src? Does that work?
What's output of sha1sum Makefile?
Doesn't werk on my machine :o
/tmp ❯ git clone https://aur.archlinux.org/kwin-polonium.git
Cloning into 'kwin-polonium'...
remote: Enumerating objects: 35, done.
remote: Counting objects: 100% (35/35), done.
remote: Compressing objects: 100% (28/28), done.
remote: Total 35 (delta 14), reused 24 (delta 5), pack-reused 0
Receiving objects: 100% (35/35), 6.64 KiB | 6.64 MiB/s, done.
Resolving deltas: 100% (14/14), done.
/tmp ❯ cd kwin-polonium
kwin-polonium on master ❯ makepkg
==> Making package: kwin-polonium 1.0b1-1 (jeu. 07 mars 2024 19:21:34)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Downloading polonium-1.0b1.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
100 74138 0 74138 0 0 122k 0 --:--:-- --:--:-- --:--:-- 122k
==> Validating source files with sha1sums...
polonium-1.0b1.tar.gz ... Passed
==> Extracting sources...
-> Extracting polonium-1.0b1.tar.gz with bsdtar
==> Starting build()...
Makefile:14: *** target pattern contains no '%'. Stop.
==> ERROR: A failure occurred in build().
Aborting...
@gmes78 oh sweet sweet, I've been using the manual setup but I think it should be fine. All of my Plasma 5 rice is also broken in Plasma 6 hahaha.
Thx for the push
@dhupee I just pushed the v1.0b1 prerelease version, seeing as the old one doesn't work at all with Plasma 6.
Have you check whether in your system is working for Plasma 6? because it just come out and it broken, with the polonium itself isnt showed up in Kwin Script section.
EDIT: I cant install it I guess the typical broken stuff of moving from plasma 5.27 to 6, since all of my old rice is also broken https://github.com/zeroxoneafour/polonium/releases/tag/v1.0b1 it has plasma 6 version, I guess we have to wait for it to be released, i have used it with manual install though
This probably should be fixed upstream in the makefile, but in the meantime this solved the build issue:
diff --git a/PKGBUILD b/PKGBUILD
index 0aa092d..822a4ff 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -18,6 +18,7 @@ sha1sums=('d57d1479523bc09318c2396eca731aa573f7b6d2')
build() {
cd "$_pkgname-$pkgver"
[[ -d pkg ]] && make clean
+ mkdir -p pkg/contents/{code,config,ui} || exit 1
make src res
}
0.5.1 no longer builds:
==> Validating source files with sha1sums...
polonium-0.5.1.tar.gz ... Passed
==> Extracting sources...
-> Extracting polonium-0.5.1.tar.gz with bsdtar
==> Starting build()...
npm install
added 6 packages, and audited 7 packages in 984ms
found 0 vulnerabilities
npm notice
npm notice New major version of npm available! 8.19.2 -> 9.7.2
npm notice Changelog: https://github.com/npm/cli/releases/tag/v9.7.2
npm notice Run npm install -g npm@9.7.2 to update!
npm notice
./node_modules/esbuild/bin/esbuild --bundle src/index.ts --outfile=polonium.mjs --format=esm --platform=neutral
polonium.mjs 284.1kb
⚡ Done in 15ms
mv -f polonium.mjs pkg/contents/code/main.mjs
mv: cannot move 'polonium.mjs' to 'pkg/contents/code/main.mjs': No such file or directory
make: *** [Makefile:41: src] Error 1
==> ERROR: A failure occurred in build().
Aborting...
Hey, developer here! This AUR package and its git variant are not officially supported, so if you run into bugs try to use the local user version and see if it fixes it first. This package should be fine to get though.
此内容由惯性聚合(RSS阅读器)自动聚合整理,仅供阅读参考。 原文来自 — 版权归原作者所有。
@gmes78 as always the error was between the chair and the screen. I was using the wrong npm version, nvm use node fixed my issue. Sorry about that